#! /usr/bin/env python
"""Convert a bkmk database to a different storage.

This file is a part of Bookmarks database and Internet robot.
"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2000-2012 PhiloSoft Design"
__license__ = "GNU GPL"

import sys


def run():
   from getopt import getopt
   optlist, args = getopt(sys.argv[1:], "s")

   report_stats = 1

   for _opt, _arg in optlist:
      if _opt == '-s':
         report_stats = 0
   try:
      del _opt, _arg
   except NameError:
      pass

   if len(args) <> 1:
      sys.stderr.write("convert_st: too many or too few arguments\n")
      sys.stderr.write("Usage: convert_st [-s] new_storage\n")
      sys.exit(1)

   from storage import storage, import_storage
   storage = storage()

   new_storage = import_storage(args[0])
   new_storage = new_storage()

   if report_stats:
      sys.stdout.write("Loading %s: " % storage.filename)
      sys.stdout.flush()

   root_folder = storage.load()

   if report_stats:
      print "Ok"
      sys.stdout.write("Converting to %s: " % new_storage.filename)
      sys.stdout.flush()

   new_storage.store(root_folder)

   if report_stats:
      print "Ok"


if __name__ == '__main__':
   run()
